Package org.springframework.aop

# Interface Pointcut

All Known Subinterfaces:
  `ExpressionPointcut`

All Known Implementing Classes:
  `AbstractExpressionPointcut`, `AbstractRegexpMethodPointcut`, `AnnotationMatchingPointcut`, `AspectJExpressionPointcut`, `ComposablePointcut`, `ControlFlowPointcut`, `DynamicMethodMatcherPointcut`, `JdkRegexpMethodPointcut`, `NameMatchMethodPointcut`, `StaticMethodMatcherPointcut`, `StaticMethodMatcherPointcutAdvisor`

public interface Pointcut
Core Spring pointcut abstraction.

A pointcut is composed of a `ClassFilter` and a `MethodMatcher`. Both these basic terms and a Pointcut itself can be combined to build up combinations (for example, through `ComposablePointcut`).

Author:
  Rod Johnson
See Also:
  - `ClassFilter`
  - `MethodMatcher`
  - `Pointcuts`
  - `ClassFilters`
  - `MethodMatchers`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Pointcut`
`TRUE`
Canonical Pointcut instance that always matches.

## Method Summary

Modifier and Type
Method
Description
`ClassFilter`
`getClassFilter()`
Return the ClassFilter for this pointcut.
`MethodMatcher`
`getMethodMatcher()`
Return the MethodMatcher for this pointcut.

## Field Details

### TRUE

static final Pointcut TRUE
Canonical Pointcut instance that always matches.

## Method Details

### getClassFilter

ClassFilter getClassFilter()
Return the ClassFilter for this pointcut.

Returns:
  the ClassFilter (never `null`)

### getMethodMatcher

MethodMatcher getMethodMatcher()
Return the MethodMatcher for this pointcut.

Returns:
  the MethodMatcher (never `null`)